Commit fbe0e9db authored by Paul McCarthy's avatar Paul McCarthy 🚵
Browse files

DOC: Add M1 to examples

parent 03c1845d
......@@ -74,6 +74,7 @@ installer: 1.2.3
miniconda:
linux-64: https://github.com/conda-forge/miniforge/releases/download/4.10.3-1/Miniforge3-4.10.3-1-Linux-x86_64.sh
macos-64: https://github.com/conda-forge/miniforge/releases/download/4.10.3-1/Miniforge3-4.10.3-1-MacOSX-x86_64.sh
macos-M1: https://github.com/conda-forge/miniforge/releases/download/4.10.3-1/Miniforge3-4.10.3-1-MacOSX-arm64.sh
# Versions of CUDA for which FSL packages are
# built (currently only available on Linux).
......@@ -129,6 +130,8 @@ macos-64-packages:
# Newer libffi causes FSLeyes to segfault:
# https://github.com/conda-forge/pyobjc-core-feedstock/issues/37
- libffi 3.3
macos-M1-packages: []
```
......
......@@ -39,6 +39,12 @@
"sha256" : "8ed6871bbd0b24f66b2d87fd88cbcd0854142e5cf1447de5f5f246884ef9c846",
"output" : "87"
}
"macos-M1" : {
"url" : "https://github.com/conda-forge/miniforge/releases/download/4.10.3-1/Miniforge3-4.10.3-1-MacOSX-arm64.sh",
"sha256" : "8ed6871bbd0b24f66b2d87fd88cbcd0854142e5cf1447de5f5f246884ef9c846",
"output" : "87"
}
},
// The "versions" section contains information
......@@ -54,7 +60,7 @@
// entry contains the following fields:
//
// - "platform" Architecture/platform - currently one of
// "linux-64" or "macos-64"
// "linux-64", "macos-64", or "macos-M1"
// - "cuda" Version of CUDA that this build was built
// against. MUST NOT be present for non-CUDA
// builds.
......@@ -89,6 +95,16 @@
"6.0.6" : "11"
}
},
{
"platform" : "macos-M1",
"environment" : "https://fsl.fmrib.ox.ac.uk/fsldownloads/fslconda/releases/fsl-6.1.0-macos-M1.yml",
"sha256" : "952a0101fc19948e785572f8c06436c59f19c4ef92df9425f2e2033d4b986918",
"base_packages" : ["fsl-base", "libopenblas", "fslpy"],
"output" : {
"install" : "92",
"6.0.6" : "11"
}
},
{
"platform" : "linux-64",
"cuda" : "9.2",
......@@ -135,6 +151,17 @@
"6.1.0" : "11"
}
},
{
"platform" : "macos-M1",
"environment" : "https://fsl.fmrib.ox.ac.uk/fsldownloads/fslconda/releases/fsl-6.2.0-macos-M1.yml",
"sha256" : "952a0101fc19948e785572f8c06436c59f19c4ef92df9425f2e2033d4b986918",
"base_packages" : ["fsl-base", "libopenblas", "fslpy"],
"output" : {
"install" : "92",
"6.0.6" : "11",
"6.1.0" : "11"
}
},
{
"platform" : "linux-64",
"cuda" : "9.2",
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment